Delete all notifications
Permanently delete all in-app (inbox) notifications matching the specified filters. Supports context-based filtering.
Authorization
Authorization<token>API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".
In: header
Request Body
application/jsonRequiredtagsarray<string>Filter notifications by workflow tags
datastringFilter notifications by data attributes (JSON string)
contextKeysarray<string>Context keys for filtering notifications
Path Parameters
subscriberIdRequiredstringThe identifier of the subscriber
Header Parameters
idempotency-keystringA header for idempotency purposes
Response Body
Delete a notification DELETE
Delete a specific in-app (inbox) notification permanently by its unique identifier **notificationId**.
Complete a notification action PATCH
Mark a single in-app (inbox) notification's action (primary or secondary) as completed by its unique identifier **notificationId** and action type **actionType**.